Deep Security Manager REST API

Path: / rest / monitoring / usages / managers

List information about how tenants have used the system, with results broken down by the Deep Security Manager node. The list returned can include multiple entries for the same tenant and manager node spanning different time periods; no aggregation is performed.


Method Summary
ResourceDescription
GET /rest/monitoring/usages/managers?tenantName=…&tID=…&managerNodeID=…&from=…&to=…&sID=…List information about how tenants have used the system, with results broken down by the Deep Security Manager node.

Method Detail
HTTP Example:
GET /rest/monitoring/usages/managers?tenantName=…&tID=…&managerNodeID=…&from=…&to=…&sID=…

API Example:

IMonitoringAPI.listManagerUsage({'tenantName': /* tenantName the name of the tenant to retrieve the usage information for. */,
  'tID': /* tID the ID of the tenant to retrieve the usage information for. */,
  'managerNodeID': /* managerNodeID the ID of the manager node to retrieve the usage information for. */,
  'from': /* from The date from which to list the usages. */,
  'to': /* to The date up to which to list the usages. */,
  'sID': /* sID the session identifier. */});

List information about how tenants have used the system, with results broken down by the Deep Security Manager node. The list returned can include multiple entries for the same tenant and manager node spanning different time periods; no aggregation is performed.

Output:
TenantManagerUsageListing - The tenant manager usage statistics requested.
Query parameters:
tenantName - the name of the tenant to retrieve the usage information for.
tID - the ID of the tenant to retrieve the usage information for. If neither tenantName nor tID are specified, usage information for all tenants is retrieved. If both are specified, tID is used and tenantName is ignored.
managerNodeID - the ID of the manager node to retrieve the usage information for. If not set, usage information for all manager nodes is retrieved.
from - The date from which to list the usages. Returned usages will have a start date greater than or equal to this value. If not set, then a time of one hour ago is used.
to - The date up to which to list the usages. Returned usages will have an end date less than or equal to this value. If not set, the current server time is used.
sID - the session identifier. This must belong to an administrator from the primary tenant.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.